package org.jboss.cache.pojo.test;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;

/**
 * Object to bind in cache
 */
public class CacheObject implements Serializable
{
   private static final long serialVersionUID = 1L;
   private String id;
   private Set<String> identities;

   public CacheObject(String id)
   {
      this.id = id;
      this.identities = new HashSet<String>();
   }

   public String getId()
   {
      return id;
   }

   public Set<String> getIdentities()
   {
      return identities;
   }
}
